/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdePhotoAlbum;
import com.wechat.model.responseDto.PhotoAlbumResp;

/**
 * 单表生成DAO接口
 * @author jadyn.wu
 * @version 2019-05-13
 */
@Repository
public class MdePhotoAlbumDao extends BaseDao {
	
/*	public MdeTrends getInfoById(Long trendsId) {
        return super.selectOne("MdeTrendsMapper.get", trendsId);
    }*/
	
	
	public int insert(MdePhotoAlbum photoAlbum) {
		return super.insert("MdePhotoAlbumMapper.insertSelective", photoAlbum);
	}
	

	/**
	 * 修改照片信息
	 * 
	 * @return
	 */
	public int update(MdePhotoAlbum photoAlbum) {
		
		return super.update("MdePhotoAlbumMapper.update", photoAlbum);
	}
	
	
	/**
	 * 查询照片信息
	 * 
	 * @return
	 */
	public List<PhotoAlbumResp> getPhotoAlbum(String userCode) {
		
		return super.select("MdePhotoAlbumMapper.selectByUserCode", userCode);
	}
	
	/**
	 * 获取排序起点
	 * 
	 * @return
	 */
	public Integer getSortByUserCode(String userCode) {
		
		return super.selectOne("MdePhotoAlbumMapper.getSortByUserCode", userCode);
	}
	

}